<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Cables and Forms</title>
</head>
<body>
    <!-- div tag creates a container element that's 
        used tp group certain elements together -->

    <!-- Header of our page -->
    <header>
        <h1>HTML Tables and Forms</h1>
    </header>
    
<main>
    <div>
    <!-- Start of table --> 
    <h2>HTML Entities</h2>
    <p><em>Reserve charaters in HTML (e.g. or &gt; characters that can mix
        up with HTML code.) </em></p>

        <!--HTMl table-->
    <table border="1">
        <!-- use to group table header content -->
        <thead>
            <tr>
                <!-- Defines a table header element/ heading title-->
                <!-- Defines the amount of columns the table element will occupy -->
                <th colspan="2">Entity</th>
                <th>Description</th>
            </tr>
        </thead>

           <!-- use to group table body content -->
        <tbody>
            <tr>
                <!-- Defines a table data element -->
                <td>&lt</td>
                <td>lt</td>
                <td>less than</td>
            </tr>
            <tr>
                <td>&gt;</td>
                <td>gt</td>
                <td>greater than</td>
            </tr>
            <tr>
                <td>&#8369;</td>
                <td>&#8369</td>
                <td>ampersand</td>
            </tr>
            <tr>
                <td>&#8369;</td>
                <td>#8369</td>
                <td>peso sign</td>
            </tr>
            <tr>
                <td>&amp;;</td>
                <td>amp</td>
                <td>ampersand</td>
            </tr>
            <tr>
                <td>&apos;;</td>
                <td>apos</td>
                <td>single quotation mark</td>
            </tr>
            <tr>
                <td>&ntilde;</td>
                <td>ntilde</td>
                <td>Lower Tilde</td>
            </tr>
            <tr>
                <td>&Ntilde;</td>
                <td>ntilde</td>
                <td>Upper Tilde</td>
            </tr>
            <tr>
                <td>&#160;</td>
                <td>nbsp</td>
                <td>Non-breaking space</td>
            </tr>
            <tr>
                <td>&#162;</td>
                <td>cent</td>
                <td>Cent</td>
            </tr>
            <tr>
                <td>&#169;</td>
                <td>copy</td>
                <td>Copyright</td>
            </tr>
            <!-- Used to group table footer content -->
            <tfoot>
                <tr>
                    <th colspan="3">List of HTML entities</th>
                </tr>
            </tfoot>
        </tbody>
    </table>
    <!-- End of table -->
    </div>

    <div>
        <!-- Start of form -->
    <h2>HTML Forms</h2>
    <p><em>Input elements that make up a form.</em></p>
    <!-- Creates an HTML form to capture user input -->
    <form action="http://google.com">

        <label name="full_name">Full Name:</label>
        <input type="text" name="full_name" id="full_name" required> <br>
        <br>

        <label birth_date="birth_date">Birth Date: </label>
        <input type="date" name="birth_date" id="birth_date" required> <br>
        <br>

        <label age="age">Age:</label> <br>
        <input type="number" name="age" id="age" required> <br>
        <br>

        <label gender="gender">Gender:</label>
        <!-- Creates selection -->
        <select name="gender" id="gender">
            <option value="Male">Male</option>
            <option value="Female">Female</option>
        </select> <br>
        <br>

        <label notes="notes">Notes:</label>
        <textarea name="notes" rows="5" id="notes"></textarea> <br>
        <br>

        <label>New User:</label> <br>
        <!-- For radio input type, choose only one -->
        <input type="radio" name="new_user" id="new-user-type1" value="yes">
        <label user_type1="user_type1">Yes</label> <br>

        <input type="radio" name="new_user" id="new-user-type2" value="no">
        <label user_type2="radio" name="new_user">No</label> <br>

        <br>
        <!-- For checkbox input can select or check multiple box -->
        <label>Role:</label>
        <br>
        <input type="checkbox" name="role1" id="role1" value="developer">
        <label role1="role1">Developer</label> <br>

        <input type="checkbox" name="role2" id="role2" value="student">
        <label role2="role2">Student</label> <br>

        <input type="checkbox" name="role3" id="role3" value="manager">
        <label role3="role3">Manager</label> <br>

        <br>
        <!-- Creates a button that will submit the form data -->
        <button type="submit">Submit</button>
        <button type="reset">Reset</button>
    </form>
    <!-- End of form-->
    </div>
</main>
</body>
</html>